Subject: RE: [XCON] Feedback requested: draft-boulton-xcon-uri-00

From: Srivatsa Srinivasan <[email-masked]>
Date: Wed, 3 Jan 2007 00:28:11 -0800

Hi Mary and Chris,

Sorry for the late comments. Overall, the idea of having a separate identifier to identify the conference object resource sounds useful. Was there a reason for using a new scheme based URI instead of a simple unique identifier? Some text in the introduction to make the motivation clear would help. Also, do you foresee the XCON URI to be a routable entity in the future? Perhaps some normative text there regarding its use would be beneficial?

More comments follow.

>From Section 3
  " Editors Note: Part of the extension to the Conference Package for
   XCON? "

[SS] The data model and conference package for XCON should have text describing where an XCON URI may appear in the document. It's usage should however be specified in this document, the framework and the conference control protocol if I understand correctly.

>From Section 3.1
"   The left hand side of the URI (to the left of the '@') represents the
   unique token.  This token can be used by any protocol wishing to gain
   access to functionality associated with a specific conference object.
   For example, when used to construct a SIP INVITE request, the token
   would be used to populate the 'user' part of the SIP URI - as defined
   in RFC 3261[2].  The right hand side of the URI, as with any URI,
   provides domain level information ('example.com' in previous
   example).  So continuing the previous example, the SIP URI domain
   part would be equal to this domain information."

[SS] Is the above text implying that, given an XCON URI, a client/implementation can construct an equivalent SIP URI by just parsing out sections from the XCON URI and forming the SIP URI? I think giving normative detail here with respect to the mapping is quite unnecessary and may in fact cause inter-op issues (if implemented incorrectly). Inclusion of these terms should not prevent an implementation from using SIP URI's instead of XCON URI's all over the place (in the data model) without breaking normative behavior, correct?

Srivatsa.

> -----Original Message-----
> From: Mary Barnes [mailto:[email-masked]]
> Sent: Thursday, November 30, 2006 9:25 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [XCON] Feedback requested: draft-boulton-xcon-uri-00
>
> Per discussions at IETF-67, here's the reminder that we'd like feedback
> on this draft:
> http://www.ietf.org/internet-drafts/draft-boulton-xcon-uri-00.txt
>
> This document defines a URI scheme and syntax for the conference object
> identifier, as defined in "A Framework and Data Model for Centra:15 -0800
From: Srivatsa Srinivasan <[email-masked]>
To: 'Mary Barnes' <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 3 Jan 2007 00:28:11 -0800
Subject: RE: [XCON] Feedback requested: draft-boulton-xcon-uri-00
Accept-Language: en-US
acceptlanguage: en-US
Cc: "[email-masked]" <[email-masked]>

Hi Mary and Chris,

Sorry for the late comments. Overall, the idea of having a separate identifier to identify the conference object resource sounds useful. Was there a reason for using a new scheme based URI instead of a simple unique identifier? Some text in the introduction to make the motivation clear would help. Also, do you foresee the XCON URI to be a routable entity in the future? Perhaps some normative text there regarding its use would be beneficial?

More comments follow.

>From Section 3
  " Editors Note: Part of the extension to the Conference Package for
   XCON? "

[SS] The data model and conference package for XCON should have text describing where an XCON URI may appear in the document. It's usage should however be specified in this document, the framework and the conference control protocol if I understand correctly.

>From Section 3.1
"   The left hand side of the URI (to the left of the '@') represents the
   unique token.  This token can be used by any protocol wishing to gain
   access to functionality associated with a specific conference object.
   For example, when used to construct a SIP INVITE request, the token
   would be used to populate the 'user' part of the SIP URI - as defined
   in RFC 3261[2].  The right hand side of the URI, as with any URI,
   provides domain level information ('example.com' in previous
   example).  So continuing the previous example, the SIP URI domain
   part would be equal to this domain information."

[SS] Is the above text implying that, given an XCON URI, a client/implementation can construct an equivalent SIP URI by just parsing out sections from the XCON URI and forming the SIP URI? I think giving normative detail here with respect to the mapping is quite unnecessary and may in fact cause inter-op issues (if implemented incorrectly). Inclusion of these terms should not prevent an implementation from using SIP URI's instead of XCON URI's all over the place (in the data model) without breaking normative behavior, correct?

Srivatsa.

> -----Original Message-----
> From: Mary Barnes [mailto:[email-masked]]
> Sent: Thursday, November 30, 2006 9:25 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [XCON] Feedback requested: draft-boulton-xcon-uri-00
>
> Per discussions at IETF-67, here's the reminder that we'd like feedback
> on this draft:
> http://www.ietf.org/internet-drafts/draft-boulton-xcon-uri-00.txt
>
> This document defines a URI scheme and syntax for the conference object
> identifier, as defined in "A Framework and Data Model for Centralized
> Conferencing".
>
> This identifier has been a fundamental concept in the XCON framework
> from the beginning and seems quite necessary. I think this draft is
> fairly complete and the identifier itself is already part of the data
> model, as pointed out by Oscar.
>
> So, the questions would be how much more detail is necessary in this
> document and can it be accepted as a WG document?
>
> Regards,
> Mary
>
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon

lized
> Conferencing".
>
> This identifier has been a fundamental concept in the XCON framework
> from the beginning and seems quite necessary. I think this draft is
> fairly complete and the identifier itself is already part of the data
> model, as pointed out by Oscar.
>
> So, the questions would be how much more detail is necessary in this
> document and can it be accepted as a WG document?
>
> Regards,
> Mary
>
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon